> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a specific operation

> Retrieves specific operation and BDN data by client reference. The client reference must be unique within your company and you can only access operations belonging to your authenticated company.



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json get /v1/operations/{clientReference}
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /v1/operations/{clientReference}:
    get:
      tags:
        - Operations
      summary: Retrieves a specific operation
      description: >-
        Retrieves specific operation and BDN data by client reference. The
        client reference must be unique within your company and you can only
        access operations belonging to your authenticated company.
      parameters:
        - name: clientReference
          in: path
          description: >-
            Your company's unique reference for the operation (the same client
            reference used on the corresponding nomination).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.Operation
                description: >-
                  A bunkering operation, including its bunker delivery notes and
                  references to its documents.
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    FuelBoss.Api.Contracts.Api.Operation.Operation:
      required:
        - bunkerDeliveryNotes
        - bunkeringLocationCode
        - clientReference
        - documentReferences
        - operationStandardCode
        - receiver
        - status
        - supplier
      type: object
      properties:
        status:
          enum:
            - created
            - started
            - initiating
            - ongoing
            - finalising
            - ended
            - archived
          type: string
          description: |-
            Current status of the operation.

            Possible values:

            - `created` — Operation has been created but not yet started.
            - `started` — Operation has been started.
            - `initiating` — Operation is in the initiation phase.
            - `ongoing` — Operation is actively in progress.
            - `finalising` — Operation is being finalized.
            - `ended` — Operation has been completed.
            - `archived` — Operation has been archived.
        clientReference:
          type: string
          description: >-
            Your company's unique reference for the operation (the same client
            reference used on the corresponding nomination).
        operationStandardCode:
          type: string
          description: >-
            Operation standard code (from [Get Operation
            Standards](/api-reference/common/retrieves-all-operation-standards-available)).
        bunkeringLocationCode:
          type: string
          description: UN/LOCODE of the bunkering location.
        bunkeringLocationName:
          type:
            - 'null'
            - string
          description: Human-readable name of the bunkering location.
        portBunkeringLocationCode:
          type:
            - 'null'
            - string
          description: UN/LOCODE of the specific port location.
        supplier:
          $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.SupplierDetails
          description: Supplier details for the operation.
        receiver:
          $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.ReceiverDetails
          description: Receiver details for the operation.
        bunkerDeliveryNotes:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.ConventionalBunkerDeliveryNote
                description: >-
                  Bunker delivery note for conventional fuels (`bunkerType`:
                  `conventional`).
              - $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.LngBunkerDeliveryNote
            description: >-
              Bunker delivery note (BDN) issued for a bunkering operation. The
              `bunkerType` discriminator

              field determines which variant is returned.
          description: Bunker delivery notes issued for the operation.
        documentReferences:
          type: array
          items:
            $ref: >-
              #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DocumentReference
            description: Reference to a document attached to an operation.
          description: >-
            References to the operation's documents, retrievable via [Get
            Operational
            Document](/api-reference/operations/retrieves-a-specific-document-file-for-an-operation).
      additionalProperties: false
      description: >-
        A bunkering operation, including its bunker delivery notes and
        references to its documents.
    FuelBoss.Api.Contracts.Api.Operation.SupplierDetails:
      required:
        - assetName
        - companyName
      type: object
      properties:
        companyName:
          type: string
          description: Supplier company name.
        companyEntityReference:
          type:
            - 'null'
            - string
          description: >-
            Supplier company entity reference (matches the value used when
            creating the corresponding nomination).
        orderReference:
          type:
            - 'null'
            - string
          description: Supplier's order reference.
        assetIdentifier:
          type:
            - 'null'
            - string
          description: Supplier asset identifier (e.g., IMO number as string).
        assetName:
          type: string
          description: Supplier asset name.
      additionalProperties: false
      description: Supplier details for an operation.
    FuelBoss.Api.Contracts.Api.Operation.ReceiverDetails:
      required:
        - companyName
        - vesselName
      type: object
      properties:
        companyName:
          type: string
          description: Receiver company name.
        vesselIdentifier:
          type:
            - 'null'
            - string
          description: Receiving vessel identifier (e.g., IMO number as string).
        vesselName:
          type: string
          description: Receiving vessel name.
        nextPortCode:
          type:
            - 'null'
            - string
          description: Next port code.
        nextDestination:
          enum:
            - international
            - domestic
          type:
            - 'null'
            - string
          description: >-
            Next destination type.


            Possible values:


            - `international` — Vessel's next destination is international
            waters/port.

            - `domestic` — Vessel's next destination is domestic waters/port.
      additionalProperties: false
      description: Receiver details for an operation.
    FuelBoss.Api.Contracts.Api.Operation.ConventionalBunkerDeliveryNote:
      allOf:
        - $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.BunkerDeliveryNote
          description: >-
            Bunker delivery note (BDN) issued for a bunkering operation. The
            `bunkerType` discriminator

            field determines which variant is returned.
        - required:
            - productName
            - quantityDelivered
          type: object
          properties:
            productName:
              type: string
              description: Product name.
            quantityDelivered:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
              description: Quantity delivered with unit.
            biofuelQuantityDelivered:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
              description: >-
                Calculated biofuel quantity delivered with unit. Only populated
                for operations under the RED III operation standard.
            productViscosity:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
              description: Product viscosity with unit.
            productDensity:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
              description: Product density with unit.
            productPourPoint:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
              description: Product pour point with unit.
            productFlashPoint:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.TextMeasurement
              description: Product flash point with unit.
            productWaterContent:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.TextMeasurement
              description: Product water content with unit.
            productSulphurContent:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.TextMeasurement
              description: Product sulphur content with unit.
            bunkerMeteringTicketNumber:
              type:
                - 'null'
                - string
              description: Bunker metering ticket number.
            isNoteOfProtestIssued:
              type:
                - 'null'
                - boolean
              description: Whether a note of protest was issued.
            customerRating:
              type:
                - 'null'
                - string
              description: Customer rating.
          additionalProperties: false
      description: >-
        Bunker delivery note for conventional fuels (`bunkerType`:
        `conventional`).
    FuelBoss.Api.Contracts.Api.Operation.LngBunkerDeliveryNote:
      allOf:
        - $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.BunkerDeliveryNote
        - required:
            - productName
          type: object
          properties:
            productName:
              type: string
              description: Product name.
            isExciseFeeApplicable:
              type: boolean
              description: Whether an excise fee is applicable.
            openingCTSTimestamp:
              type:
                - 'null'
                - string
              description: >-
                Opening custody transfer system (CTS) timestamp, in port local
                time.
              format: date-time
            closingCTSTimestamp:
              type:
                - 'null'
                - string
              description: >-
                Closing custody transfer system (CTS) timestamp, in port local
                time.
              format: date-time
            fuelProperties:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.LNG.FuelProperties
              description: LNG fuel properties.
            quantityDelivered:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.LNG.QuantityDelivered
              description: LNG quantity delivered details.
          additionalProperties: false
      description: 'Bunker delivery note for LNG (`bunkerType`: `lng`).'
    FuelBoss.Api.Contracts.Api.Operation.DocumentReference:
      type: object
      properties:
        documentId:
          type: string
          description: >-
            Encoded document identifier for retrieval via [Get Operational
            Document](/api-reference/operations/retrieves-a-specific-document-file-for-an-operation).
        documentType:
          enum:
            - bunker_delivery_note
            - statement_of_facts
            - bunker_requisition_form
            - customer_satisfaction_survey
            - certificate_of_quality
            - certificate_of_origin
            - mass_flow_metering_system_seals_checklist_pre_operation
            - safety_checklist
            - meter_reading_record_form_pre_operation
            - other
            - mass_flow_metering_system_seals_checklist_post_operation
            - meter_reading_record_form_post_operation
            - order_confirmation
            - handling_guide
            - safety_data_sheet
            - q88
            - proof_of_sustainability
            - bunker_metering_ticket
            - tank_measurements
            - note_of_protest
            - gothenburg_checklist
            - iaph_40b_checklist
            - master_requisition_form
            - safety_checklist_repetitive_checks
            - iaph_40a_checklist
            - ss648_statement_of_facts
            - iaph_41b_checklist
            - iaph_41a_checklist
            - isgott_checklist
            - iaph_41c_checklist
            - bill_of_lading
          type: string
          description: >-
            Document type.


            Possible values:


            - `bunker_delivery_note` — Bunker delivery note.

            - `statement_of_facts` — Statement of facts.

            - `bunker_requisition_form` — Bunker requisition form.

            - `customer_satisfaction_survey` — Customer satisfaction survey.

            - `certificate_of_quality` — Certificate of quality.

            - `certificate_of_origin` — Certificate of origin.

            - `mass_flow_metering_system_seals_checklist_pre_operation` —
            Pre-operation seals checklist.

            - `safety_checklist` — Safety checklist.

            - `meter_reading_record_form_pre_operation` — Pre-operation meter
            reading form.

            - `other` — Other document type.

            - `mass_flow_metering_system_seals_checklist_post_operation` —
            Post-operation seals checklist.

            - `meter_reading_record_form_post_operation` — Post-operation meter
            reading form.

            - `order_confirmation` — Order confirmation.

            - `handling_guide` — Handling guide.

            - `safety_data_sheet` — Safety data sheet.

            - `q88` — Q88 questionnaire.

            - `proof_of_sustainability` — Proof of sustainability.

            - `bunker_metering_ticket` — Bunker metering ticket.

            - `tank_measurements` — Tank measurements.

            - `note_of_protest` — Note of protest.

            - `gothenburg_checklist` — Gothenburg checklist.

            - `iaph_40b_checklist` — IAPH v4.0B checklist.

            - `master_requisition_form` — Master requisition form.

            - `safety_checklist_repetitive_checks` — Safety checklist repetitive
            checks.

            - `iaph_40a_checklist` — IAPH v4.0A checklist.

            - `ss648_statement_of_facts` — SS 648 statement of facts
            (Singapore).

            - `iaph_41b_checklist` — IAPH v4.1B checklist.

            - `iaph_41a_checklist` — IAPH v4.1A checklist.

            - `isgott_checklist` — ISGOTT checklist.

            - `iaph_41c_checklist` — IAPH v4.1C checklist.

            - `bill_of_lading` — Bill of lading.
        documentName:
          type: string
          description: Document filename.
        fuelIndex:
          type:
            - 'null'
            - integer
          description: Fuel index if the document is fuel-specific.
          format: int32
      additionalProperties: false
      description: Reference to a document attached to an operation.
    FuelBoss.Api.Contracts.Api.Operation.BunkerDeliveryNote:
      required:
        - bunkerType
        - cargoOfficerName
        - chiefEngineerName
        - number
      type: object
      properties:
        bunkerType:
          type: string
          description: Discriminator identifying which variant this object is.
        fuelIndex:
          type:
            - 'null'
            - integer
          description: Fuel index if the BDN is fuel-specific.
          format: int32
        number:
          type: string
          description: BDN number.
        cargoOfficerName:
          type: string
          description: Name of the cargo officer.
        chiefEngineerName:
          type: string
          description: Name of the chief engineer.
        receiverCompanyName:
          type:
            - 'null'
            - string
          description: Receiver company name.
        receiverVesselName:
          type:
            - 'null'
            - string
          description: Receiver vessel name.
        receiverVesselIMO:
          type:
            - 'null'
            - integer
          description: Receiver vessel IMO number.
          format: int32
        receiverVesselGrossTonnage:
          type:
            - 'null'
            - integer
          description: Receiver vessel gross tonnage.
          format: int32
        receiverVesselNextPort:
          type:
            - 'null'
            - string
          description: Receiver vessel next port.
        receiverNextDestination:
          enum:
            - international
            - domestic
          type:
            - 'null'
            - string
          description: >-
            Receiver's next destination type.


            Possible values:


            - `international` — Vessel's next destination is international
            waters/port.

            - `domestic` — Vessel's next destination is domestic waters/port.
        supplierCompanyName:
          type:
            - 'null'
            - string
          description: Supplier company name.
        supplierAssetName:
          type:
            - 'null'
            - string
          description: Supplier asset name.
        supplierAssetIMO:
          type:
            - 'null'
            - integer
          description: Supplier asset IMO number.
          format: int32
        supplierAssetHarbourLicenseNumber:
          type:
            - 'null'
            - string
          description: Supplier asset harbour license number.
        deliveryDate:
          type:
            - 'null'
            - string
          description: Date of delivery (YYYY-MM-DD).
          format: date
        allFastTimestamp:
          type:
            - 'null'
            - string
          description: >-
            Timestamp when vessels were alongside and all fast, in port local
            time.
          format: date-time
        connectTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when connection was made, in port local time.
          format: date-time
        startTransferTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when fuel transfer started, in port local time.
          format: date-time
        endTransferTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when fuel transfer ended, in port local time.
          format: date-time
        drainingTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when draining occurred, in port local time.
          format: date-time
        disconnectTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when disconnection occurred, in port local time.
          format: date-time
        castOffTimestamp:
          type:
            - 'null'
            - string
          description: Timestamp when cast off occurred, in port local time.
          format: date-time
      additionalProperties: false
      description: >-
        Bunker delivery note (BDN) issued for a bunkering operation. The
        `bunkerType` discriminator

        field determines which variant is returned.
      discriminator:
        propertyName: bunkerType
        mapping:
          conventional:
            $ref: >-
              #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.ConventionalBunkerDeliveryNote
          lng:
            $ref: >-
              #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.LngBunkerDeliveryNote
    FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement:
      required:
        - unit
        - value
      type: object
      properties:
        value:
          type: number
          description: Numeric measurement value.
          format: double
        unit:
          type: string
          description: Unit of measurement as text.
      additionalProperties: false
      description: A numeric measurement with its unit.
    FuelBoss.Api.Contracts.Api.Operation.TextMeasurement:
      required:
        - unit
        - value
      type: object
      properties:
        value:
          type: string
          description: Measurement value as text.
        unit:
          type: string
          description: Unit of measurement as text.
      additionalProperties: false
      description: A textual measurement with its unit.
    FuelBoss.Api.Contracts.Api.Operation.LNG.FuelProperties:
      type: object
      properties:
        methane:
          type:
            - 'null'
            - number
          description: Methane content.
          format: double
        ethane:
          type:
            - 'null'
            - number
          description: Ethane content.
          format: double
        propane:
          type:
            - 'null'
            - number
          description: Propane content.
          format: double
        isoButane:
          type:
            - 'null'
            - number
          description: Iso-butane content.
          format: double
        nButane:
          type:
            - 'null'
            - number
          description: N-butane content.
          format: double
        isoPentane:
          type:
            - 'null'
            - number
          description: Iso-pentane content.
          format: double
        neoPentane:
          type:
            - 'null'
            - number
          description: Neo-pentane content.
          format: double
        nPentane:
          type:
            - 'null'
            - number
          description: N-pentane content.
          format: double
        nHexane:
          type:
            - 'null'
            - number
          description: N-hexane content.
          format: double
        nitrogen:
          type:
            - 'null'
            - number
          description: Nitrogen content.
          format: double
        sulphur:
          type:
            - 'null'
            - string
          description: Sulphur content.
        density:
          $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
          description: Density measurement.
        methaneNumber:
          type:
            - 'null'
            - number
          description: Methane number.
          format: double
        methaneNumberMethod:
          type:
            - 'null'
            - string
          description: Method used to determine the methane number.
        grossHeatingValueMassMJ:
          type:
            - 'null'
            - number
          description: Gross heating value by mass in MJ.
          format: double
        netHeatingValueMassMJ:
          type:
            - 'null'
            - number
          description: Net heating value by mass in MJ.
          format: double
        grossHeatingValueMassMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `grossHeatingValueMassBtu` instead. Gross
            heating value by mass in MMBtu/kg; retained for v1 contract
            compatibility.
          format: double
          deprecated: true
        netHeatingValueMassMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `netHeatingValueMassBtu` instead. Net heating
            value by mass in MMBtu/kg; retained for v1 contract compatibility.
          format: double
          deprecated: true
        grossHeatingValueMassBtu:
          type:
            - 'null'
            - number
          description: Gross heating value by mass in Btu/kg.
          format: double
        netHeatingValueMassBtu:
          type:
            - 'null'
            - number
          description: Net heating value by mass in Btu/kg.
          format: double
        grossHeatingValueMassKWh:
          type:
            - 'null'
            - number
          description: Gross heating value by mass in kWh.
          format: double
        netHeatingValueMassKWh:
          type:
            - 'null'
            - number
          description: Net heating value by mass in kWh.
          format: double
        grossHeatingValueVolumeMJ:
          type:
            - 'null'
            - number
          description: Gross heating value by volume in MJ.
          format: double
        netHeatingValueVolumeMJ:
          type:
            - 'null'
            - number
          description: Net heating value by volume in MJ.
          format: double
        grossHeatingValueVolumeMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `grossHeatingValueVolumeBtuScf` instead. Gross
            heating value by volume in MMBtu; retained for v1 contract
            compatibility.
          format: double
          deprecated: true
        netHeatingValueVolumeMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `netHeatingValueVolumeBtuScf` instead. Net
            heating value by volume in MMBtu; retained for v1 contract
            compatibility.
          format: double
          deprecated: true
        grossHeatingValueVolumeBtuScf:
          type:
            - 'null'
            - number
          description: Gross heating value by volume in Btu/scf.
          format: double
        netHeatingValueVolumeBtuScf:
          type:
            - 'null'
            - number
          description: Net heating value by volume in Btu/scf.
          format: double
        grossHeatingValueVolumeKWh:
          type:
            - 'null'
            - number
          description: Gross heating value by volume in kWh.
          format: double
        netHeatingValueVolumeKWh:
          type:
            - 'null'
            - number
          description: Net heating value by volume in kWh.
          format: double
        grossWobbeIndexMJ:
          type:
            - 'null'
            - number
          description: Gross Wobbe index in MJ.
          format: double
        netWobbeIndexMJ:
          type:
            - 'null'
            - number
          description: Net Wobbe index in MJ.
          format: double
        grossWobbeIndexMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `grossWobbeIndexBtuScf` instead. Gross Wobbe
            index in MMBtu; retained for v1 contract compatibility.
          format: double
          deprecated: true
        netWobbeIndexMMBtu:
          type:
            - 'null'
            - number
          description: >-
            **Deprecated** — use `netWobbeIndexBtuScf` instead. Net Wobbe index
            in MMBtu; retained for v1 contract compatibility.
          format: double
          deprecated: true
        grossWobbeIndexBtuScf:
          type:
            - 'null'
            - number
          description: Gross Wobbe index in Btu/scf.
          format: double
        netWobbeIndexBtuScf:
          type:
            - 'null'
            - number
          description: Net Wobbe index in Btu/scf.
          format: double
        grossWobbeIndexKWh:
          type:
            - 'null'
            - number
          description: Gross Wobbe index in kWh.
          format: double
        netWobbeIndexKWh:
          type:
            - 'null'
            - number
          description: Net Wobbe index in kWh.
          format: double
      additionalProperties: false
      description: LNG fuel properties reported on an LNG bunker delivery note.
    FuelBoss.Api.Contracts.Api.Operation.LNG.QuantityDelivered:
      type: object
      properties:
        volume:
          $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
          description: Volume delivered.
        mass:
          $ref: >-
            #/components/schemas/FuelBoss.Api.Contracts.Api.Operation.DecimalMeasurement
          description: Mass delivered.
        grossEnergyMJ:
          type:
            - 'null'
            - number
          description: Gross energy in MJ.
          format: double
        grossEnergyMMBtu:
          type:
            - 'null'
            - number
          description: Gross energy in MMBtu.
          format: double
        grossEnergyMWh:
          type:
            - 'null'
            - number
          description: Gross energy in MWh.
          format: double
        netEnergyMJ:
          type:
            - 'null'
            - number
          description: Net energy in MJ.
          format: double
        netEnergyMMBtu:
          type:
            - 'null'
            - number
          description: Net energy in MMBtu.
          format: double
        netEnergyMWh:
          type:
            - 'null'
            - number
          description: Net energy in MWh.
          format: double
        grossVapourDisplacedMJ:
          type:
            - 'null'
            - number
          description: Gross vapour displaced in MJ.
          format: double
        grossVapourDisplacedMMBtu:
          type:
            - 'null'
            - number
          description: Gross vapour displaced in MMBtu.
          format: double
        grossVapourDisplacedMWh:
          type:
            - 'null'
            - number
          description: Gross vapour displaced in MWh.
          format: double
        netVapourDisplacedMJ:
          type:
            - 'null'
            - number
          description: Net vapour displaced in MJ.
          format: double
        netVapourDisplacedMMBtu:
          type:
            - 'null'
            - number
          description: Net vapour displaced in MMBtu.
          format: double
        netVapourDisplacedMWh:
          type:
            - 'null'
            - number
          description: Net vapour displaced in MWh.
          format: double
        grossGasConsumedMJ:
          type:
            - 'null'
            - number
          description: Gross gas consumed in MJ.
          format: double
        grossGasConsumedMMBtu:
          type:
            - 'null'
            - number
          description: Gross gas consumed in MMBtu.
          format: double
        grossGasConsumedMWh:
          type:
            - 'null'
            - number
          description: Gross gas consumed in MWh.
          format: double
        netGasConsumedMJ:
          type:
            - 'null'
            - number
          description: Net gas consumed in MJ.
          format: double
        netGasConsumedMMBtu:
          type:
            - 'null'
            - number
          description: Net gas consumed in MMBtu.
          format: double
        netGasConsumedMWh:
          type:
            - 'null'
            - number
          description: Net gas consumed in MWh.
          format: double
        grossEnergyDeliveredMJ:
          type:
            - 'null'
            - number
          description: Gross energy delivered in MJ.
          format: double
        grossEnergyDeliveredMMBtu:
          type:
            - 'null'
            - number
          description: Gross energy delivered in MMBtu.
          format: double
        grossEnergyDeliveredMWh:
          type:
            - 'null'
            - number
          description: Gross energy delivered in MWh.
          format: double
        netEnergyDeliveredMJ:
          type:
            - 'null'
            - number
          description: Net energy delivered in MJ.
          format: double
        netEnergyDeliveredMMBtu:
          type:
            - 'null'
            - number
          description: Net energy delivered in MMBtu.
          format: double
        netEnergyDeliveredMWh:
          type:
            - 'null'
            - number
          description: Net energy delivered in MWh.
          format: double
      additionalProperties: false
      description: LNG quantity delivered details reported on an LNG bunker delivery note.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````